cURL
curl --request POST \ --url https://api.prequel.co/import/datalakes \ --header 'Content-Type: application/json' \ --header 'X-API-KEY: <api-key>' \ --data ' { "datalake": { "name": "S3 US East 1", "storage": "s3", "retention_window_days": 30, "bucket_s3": { "bucket_name": "prequel-import-data", "bucket_auth_method": "aws_iam_role", "prefix": "customer-a/" } } } '
{ "datalake": { "name": "S3 US East 1", "storage": "s3", "retention_window_days": 30, "bucket_s3": { "bucket_name": "prequel-import-data", "bucket_auth_method": "aws_iam_role", "prefix": "customer-a/", "aws_iam_role": { "aws_iam_role_arn": "arn:aws:iam::123456789012:role/prequel-import-access" } }, "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } }
Registers an object storage bucket (S3, GCS, or Azure Blob) that Prequel will use to stage data.
Show child attributes
Created